package com.bootdo.datas.domain;

import java.io.Serializable;
import java.util.Date;



/**
 * 重要数据表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-06 14:03:25
 */
public class DataDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	private Long id;
	//数据来源
	private String dataSource;
	//数据名称
	private String dataName;
	//数据级别:01终验数据 02 核心数据
	private String dataLevel;
	//数据类别
	private String dataType;
	//数组子类
	private String dataSub;
	//二级子类
	private String dataAdjSub;
	//数据规模
	private String dataScope;
	//数据目的
	private String dataResult;
	//数据存储位置
	private String dataLocation;
	//数据范围
	private String dataRange;
	//负责人(管理部门或责任人)
	private String dataRuler;
	//对外共享(范围 内容)
	private String shareRange;
	//跨境传输(范围 内容)
	private String crossRange;
	//安全保护措施
	private String dataSafety;
	//备注
	private String dataDesc;
	//状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
	private String dataStatus;
	//数据上传者
	private String uploadUser;
	//数据上传者ID
	private String uploadUserid;
	//上传时间
	private Date uploadTime;
	//修改时间
	private Date updateTime;
	//联系人
	private String liaiseMan;
	//联系方式
	private String liaiseWay;

	//数据处理者名称
	private String reporterUnit;
	//数据处理者名称 省份
	private String unitProvince;
	//数据处理者名称 城市
	private String unitCity;
	//数据处理者名称 其它信息
	private String unitOther;
	//所属行业子类
	private String dataIndustry;

	/**
	 * 所属行业: 原材料工业 装备工业 消费品工业 电子信息制造业 软件和信息技术服务业 民爆
	 */
	private String industryType;

	// 部门
	private Long deptId;
	// 联合审批部门ID
	private Long nextVerifyDept;
	// 送审状态
	private String sendVerify;

	// 管理部门
	private String dataManager;

	// 数据精度
	private String dataPrecision;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：数据来源
	 */
	public void setDataSource(String dataSource) {
		this.dataSource = dataSource;
	}
	/**
	 * 获取：数据来源
	 */
	public String getDataSource() {
		return dataSource;
	}
	/**
	 * 设置：数据名称
	 */
	public void setDataName(String dataName) {
		this.dataName = dataName;
	}
	/**
	 * 获取：数据名称
	 */
	public String getDataName() {
		return dataName;
	}
	/**
	 * 设置：数据级别:01终验数据 02 核心数据
	 */
	public void setDataLevel(String dataLevel) {
		this.dataLevel = dataLevel;
	}
	/**
	 * 获取：数据级别:01终验数据 02 核心数据
	 */
	public String getDataLevel() {
		return dataLevel;
	}
	/**
	 * 设置：数据类别
	 */
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	/**
	 * 获取：数据类别
	 */
	public String getDataType() {
		return dataType;
	}
	/**
	 * 设置：数组子类
	 */
	public void setDataSub(String dataSub) {
		this.dataSub = dataSub;
	}
	/**
	 * 获取：数组子类
	 */
	public String getDataSub() {
		return dataSub;
	}
	/**
	 * 设置：二级子类
	 */
	public void setDataAdjSub(String dataAdjSub) {
		this.dataAdjSub = dataAdjSub;
	}
	/**
	 * 获取：二级子类
	 */
	public String getDataAdjSub() {
		return dataAdjSub;
	}
	/**
	 * 设置：数据规模
	 */
	public void setDataScope(String dataScope) {
		this.dataScope = dataScope;
	}
	/**
	 * 获取：数据规模
	 */
	public String getDataScope() {
		return dataScope;
	}
	/**
	 * 设置：数据目的
	 */
	public void setDataResult(String dataResult) {
		this.dataResult = dataResult;
	}
	/**
	 * 获取：数据目的
	 */
	public String getDataResult() {
		return dataResult;
	}
	/**
	 * 设置：数据存储位置
	 */
	public void setDataLocation(String dataLocation) {
		this.dataLocation = dataLocation;
	}
	/**
	 * 获取：数据存储位置
	 */
	public String getDataLocation() {
		return dataLocation;
	}
	/**
	 * 设置：数据范围
	 */
	public void setDataRange(String dataRange) {
		this.dataRange = dataRange;
	}
	/**
	 * 获取：数据范围
	 */
	public String getDataRange() {
		return dataRange;
	}
	/**
	 * 设置：负责人(管理部门或责任人)
	 */
	public void setDataRuler(String dataRuler) {
		this.dataRuler = dataRuler;
	}
	/**
	 * 获取：负责人(管理部门或责任人)
	 */
	public String getDataRuler() {
		return dataRuler;
	}
	/**
	 * 设置：对外共享(范围 内容)
	 */
	public void setShareRange(String shareRange) {
		this.shareRange = shareRange;
	}
	/**
	 * 获取：对外共享(范围 内容)
	 */
	public String getShareRange() {
		return shareRange;
	}
	/**
	 * 设置：跨境传输(范围 内容)
	 */
	public void setCrossRange(String crossRange) {
		this.crossRange = crossRange;
	}
	/**
	 * 获取：跨境传输(范围 内容)
	 */
	public String getCrossRange() {
		return crossRange;
	}
	/**
	 * 设置：安全保护措施
	 */
	public void setDataSafety(String dataSafety) {
		this.dataSafety = dataSafety;
	}
	/**
	 * 获取：安全保护措施
	 */
	public String getDataSafety() {
		return dataSafety;
	}
	/**
	 * 设置：备注
	 */
	public void setDataDesc(String dataDesc) {
		this.dataDesc = dataDesc;
	}
	/**
	 * 获取：备注
	 */
	public String getDataDesc() {
		return dataDesc;
	}
	/**
	 * 设置：状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
	 */
	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}
	/**
	 * 获取：状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
	 */
	public String getDataStatus() {
		return dataStatus;
	}
	/**
	 * 设置：数据上传者
	 */
	public void setUploadUser(String uploadUser) {
		this.uploadUser = uploadUser;
	}
	/**
	 * 获取：数据上传者
	 */
	public String getUploadUser() {
		return uploadUser;
	}
	/**
	 * 设置：数据上传者ID
	 */
	public void setUploadUserid(String uploadUserid) {
		this.uploadUserid = uploadUserid;
	}
	/**
	 * 获取：数据上传者ID
	 */
	public String getUploadUserid() {
		return uploadUserid;
	}
	/**
	 * 设置：上传时间
	 */
	public void setUploadTime(Date uploadTime) {
		this.uploadTime = uploadTime;
	}
	/**
	 * 获取：上传时间
	 */
	public Date getUploadTime() {
		return uploadTime;
	}
	/**
	 * 设置：修改时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：修改时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 设置：联系人
	 */
	public void setLiaiseMan(String liaiseMan) {
		this.liaiseMan = liaiseMan;
	}
	/**
	 * 获取：联系人
	 */
	public String getLiaiseMan() {
		return liaiseMan;
	}
	/**
	 * 设置：联系方式
	 */
	public void setLiaiseWay(String liaiseWay) {
		this.liaiseWay = liaiseWay;
	}
	/**
	 * 获取：联系方式
	 */
	public String getLiaiseWay() {
		return liaiseWay;
	}

	public String getReporterUnit() {
        return reporterUnit;
	}

	public void setReporterUnit(String reporterUnit) {
		this.reporterUnit = reporterUnit;
	}

	public String getUnitProvince() {
		return unitProvince;
	}

	public void setUnitProvince(String unitProvince) {
		this.unitProvince = unitProvince;
	}

	public String getDataIndustry() {
		return dataIndustry;
	}

	public void setDataIndustry(String dataIndustry) {
		this.dataIndustry = dataIndustry;
	}

	public String getUnitCity() {
		return unitCity;
	}

	public void setUnitCity(String unitCity) {
		this.unitCity = unitCity;
	}

	public String getUnitOther() {
		return unitOther;
	}

	public void setUnitOther(String unitOther) {
		this.unitOther = unitOther;
	}

	public Long getDeptId() {
		return deptId;
	}

	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}

	public Long getNextVerifyDept() {
		return nextVerifyDept;
	}

	public void setNextVerifyDept(Long nextVerifyDept) {
		this.nextVerifyDept = nextVerifyDept;
	}

	public String getSendVerify() {
		return sendVerify;
	}

	public void setSendVerify(String sendVerify) {
		this.sendVerify = sendVerify;
	}

	public String getIndustryType() {
		return industryType;
	}

	public void setIndustryType(String industryType) {
		this.industryType = industryType;
	}

	public String getDataManager() {
		return dataManager;
	}

	public void setDataManager(String dataManager) {
		this.dataManager = dataManager;
	}

	public String getDataPrecision() {
		return dataPrecision;
	}

	public void setDataPrecision(String dataPrecision) {
		this.dataPrecision = dataPrecision;
	}

	@Override
	public String toString() {
		return "DataDO{" +
				"id=" + id +
				", dataSource='" + dataSource + '\'' +
				", dataName='" + dataName + '\'' +
				", dataLevel='" + dataLevel + '\'' +
				", dataType='" + dataType + '\'' +
				", dataSub='" + dataSub + '\'' +
				", dataAdjSub='" + dataAdjSub + '\'' +
				", dataScope='" + dataScope + '\'' +
				", dataResult='" + dataResult + '\'' +
				", dataLocation='" + dataLocation + '\'' +
				", dataRange='" + dataRange + '\'' +
				", dataRuler='" + dataRuler + '\'' +
				", shareRange='" + shareRange + '\'' +
				", crossRange='" + crossRange + '\'' +
				", dataSafety='" + dataSafety + '\'' +
				", dataDesc='" + dataDesc + '\'' +
				", dataStatus='" + dataStatus + '\'' +
				", uploadUser='" + uploadUser + '\'' +
				", uploadUserid='" + uploadUserid + '\'' +
				", uploadTime=" + uploadTime +
				", updateTime=" + updateTime +
				", liaiseMan='" + liaiseMan + '\'' +
				", liaiseWay='" + liaiseWay + '\'' +
				", reporterUnit='" + reporterUnit + '\'' +
				", unitProvince='" + unitProvince + '\'' +
				", unitCity='" + unitCity + '\'' +
				", unitOther='" + unitOther + '\'' +
				", dataIndustry='" + dataIndustry + '\'' +
				", industryType='" + industryType + '\'' +
				", deptId=" + deptId +
				", nextVerifyDept=" + nextVerifyDept +
				", sendVerify='" + sendVerify + '\'' +
				'}';
	}
}
